plugins {
    id 'com.android.dynamic-feature'
    id 'org.jetbrains.kotlin.android'
    id 'org.jetbrains.kotlin.kapt'
    id 'kotlin-parcelize'
}
android {
    namespace 'com.adealink.weparty.call'
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()
        resConfigs "zh", "en", "in"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }


    buildTypes {
        release {
            debuggable false
        }
    }
    viewBinding {
        enabled = true
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.majorVersion
    }

    sourceSets {
        main {
            res.srcDirs = [
                    'src/main/res',
                    'src/main/res-callview',
            ]
        }
    }
}

dependencies {
    implementation project(":app")

    api libs.androidx.appcompat
    api libs.android.material
    api libs.androidx.recyclerview
    api libs.androidx.constraint.layout
    api libs.gson
    api libs.tencent.atomic.x

    implementation(libs.tencent.timpush) {
        exclude group: 'com.google.code.gson'
    }
    implementation(libs.tencent.timpush.fcm) {
        exclude group: 'com.google.code.gson'
    }

    implementation libs.tencent.imsdk
    implementation libs.tencent.tui.core
    implementation libs.tencent.uikit.common
    implementation libs.trtc
    implementation libs.tencent.uikit.room.engine

    //frame
    kapt libs.frame.router.compiler

    //test
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core
}